NXOpen C++ Reference Guide
 All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Pages
Public Member Functions | List of all members
NXOpen::CAE::AeroStructures::LocalLaminate Class Reference

Represents a NXOpen::CAE::AeroStructures::LocalLaminate object. More...

Inheritance diagram for NXOpen::CAE::AeroStructures::LocalLaminate:
NXOpen::CAE::AeroStructures::Laminate NXOpen::TransientObject

Public Member Functions

int AddPly (NXOpen::PhysicalMaterial *material, double thickness, NXOpen::Unit *thicknessUnit, double angle, NXOpen::Unit *angleUnit)
 Add a ply to the laminate. More...
 
int AddPlyByMaterialName (const NXString &materialName, double thickness, NXOpen::Unit *thicknessUnit, double angle, NXOpen::Unit *angleUnit)
 Add a ply to the laminate using a material name. More...
 
int AddPlyByMaterialName (const char *materialName, double thickness, NXOpen::Unit *thicknessUnit, double angle, NXOpen::Unit *angleUnit)
 Add a ply to the laminate using a material name. More...
 
void SetBottomFiberDistance (double distance, NXOpen::Unit *distanceUnit)
 Set bottom fiber distance
Created in NX1847.0.0. More...
 
void SetInverted (bool inverted)
 Invert ply angles
Created in NX1847.0.0. More...
 
void SetLaminateAngle (double angle, NXOpen::Unit *angleUnit)
 Set laminate angle
Created in NX1847.0.0. More...
 
void SetPlyAngle (int plyIndex, double angle, NXOpen::Unit *angleUnit)
 Set the angle for the ply
Created in NX1847.0.0. More...
 
void SetPlyMaterial (int plyIndex, NXOpen::PhysicalMaterial *material)
 Set the Physical Material for the ply
Created in NX1847.0.0. More...
 
void SetPlyMaterialByName (int plyIndex, const NXString &materialName)
 Set the Material for the ply by name
Created in NX1847.0.0. More...
 
void SetPlyMaterialByName (int plyIndex, const char *materialName)
 Set the Material for the ply by name
Created in NX1847.0.0. More...
 
void SetPlyThickness (int plyIndex, double thickness, NXOpen::Unit *thicknessUnit)
 Set the thickness for the ply
Created in NX1847.0.0. More...
 
void SetReferencePlane (NXOpen::CAE::AeroStructures::Laminate::LamRefLoc location)
 Top|Middle|Bottom|Specify
Created in NX1847.0.0. More...
 
void SetReferenceTemperature (double temperature, NXOpen::Unit *temperatureUnit)
 Set reference temperature
Created in NX1847.0.0. More...
 
void SetReversed (bool reversed)
 Reverse ply order
Created in NX1847.0.0. More...
 
virtual ~LocalLaminate ()
 Frees the object from memory. More...
 
- Public Member Functions inherited from NXOpen::CAE::AeroStructures::Laminate
NXOpen::CAE::AeroStructures::LocalLaminateCreateLocalLaminateByCopy ()
 Create an editable copy of the laminate
Created in NX1847.0.0. More...
 
NXOpen::GeneralScalarTableGetABD ()
 The ABD matrix
Created in NX1847.0.0. More...
 
double GetBendingShearModulus ()
 Bending Shear Modulus
Created in NX1847.0.0. More...
 
NXOpen::GeneralScalarTableGetBendingYoungsModulus ()
 Bending Youngs Modulus
Created in NX1847.0.0. More...
 
double GetBottomFiberDistance ()
 Fetch the bottom fiber distance
Created in NX1847.0.0. More...
 
void GetInterlaminarShearStress (bool usePlyCoordinates, const std::vector< double > &opTemp, const std::vector< double > &nxx, const std::vector< double > &nyy, const std::vector< double > &nxy, const std::vector< double > &mxx, const std::vector< double > &myy, const std::vector< double > &mxy, const std::vector< double > &tsx, const std::vector< double > &tsy, NXOpen::GeneralScalarTable **stressYz, NXOpen::GeneralScalarTable **stressZx)
 Obtain interlaminar values per ply per LC (stress_yz, stress_zx) More...
 
double GetLaminateAngle ()
 Fetch the laminate angle in radians
Created in NX1847.0.0. More...
 
void GetMaterialNames (std::vector< NXString > &materialNames)
 The list of material names
Created in NX1847.0.0. More...
 
void GetMaterialPlyCount (int materialIndex, std::vector< int > &plies)
 Number of plies per orientation using given material (index)
Created in NX1847.0.0. More...
 
void GetMaterialThickness (int materialIndex, std::vector< double > &thicknesses)
 Thickness of plies per orientation using given material (index)
Created in NX1847.0.0. More...
 
NXOpen::GeneralScalarTableGetMid1 ()
 Mid1
Created in NX1847.0.0. More...
 
NXOpen::GeneralScalarTableGetMid2 ()
 Mid2
Created in NX1847.0.0. More...
 
NXOpen::GeneralScalarTableGetMid3 ()
 Mid3
Created in NX1847.0.0. More...
 
NXOpen::GeneralScalarTableGetMid4 ()
 Mid4
Created in NX1847.0.0. More...
 
void GetOrientations (std::vector< double > &orientations)
 The list of orientations used
Created in NX1847.0.0. More...
 
double GetPlyAngle (int plyIndex)
 Ply angle
Created in NX1847.0.0. More...
 
void GetPlyAngles (std::vector< double > &values)
 Ply angles
Created in NX1847.0.0. More...
 
int GetPlyId (int plyIndex)
 Ply Id
Created in NX1847.0.0. More...
 
void GetPlyIds (std::vector< int > &ids)
 Ply Ids
Created in NX1847.0.0. More...
 
NXOpen::PhysicalMaterialGetPlyMaterial (int plyIndex)
 Ply material
Created in NX1847.0.0. More...
 
NXString GetPlyMaterialName (int plyIndex)
 Ply material name
Created in NX1847.0.0. More...
 
void GetPlyMaterialNames (std::vector< NXString > &names)
 Ply material names
Created in NX1847.0.0. More...
 
void GetPlyMaterials (std::vector< NXOpen::PhysicalMaterial * > &materials)
 Ply materials
Created in NX1847.0.0. More...
 
double GetPlyThickness (int plyIndex)
 Ply thickness
Created in NX1847.0.0. More...
 
void GetPlyThicknesses (std::vector< double > &values)
 Ply thicknesses
Created in NX1847.0.0. More...
 
NXOpen::GeneralScalarTableGetPoissonsRatio ()
 Poissons Ratio
Created in NX1847.0.0. More...
 
NXOpen::CAE::AeroStructures::Laminate::LamRefLoc GetReferencePlane ()
 Top|Middle|Bottom|Specify
Created in NX1847.0.0. More...
 
double GetReferenceTemperature ()
 Fetch the reference temperature
Created in NX1847.0.0. More...
 
NXOpen::GeneralScalarTableGetShearModulus ()
 Shear Modulus
Created in NX1847.0.0. More...
 
double GetSpecificHeat ()
 Specific Heat
Created in NX1847.0.0. More...
 
NXOpen::GeneralScalarTableGetStiffnessA ()
 The A section of the ABD matrix
Created in NX1847.0.0. More...
 
NXOpen::GeneralScalarTableGetStiffnessB ()
 The B section of the ABD matrix
Created in NX1847.0.0. More...
 
NXOpen::GeneralScalarTableGetStiffnessD ()
 The D section of the ABD matrix
Created in NX1847.0.0. More...
 
void GetStrainPerPly (bool usePlyCoordinates, const std::vector< double > &opTemp, const std::vector< double > &nxx, const std::vector< double > &nyy, const std::vector< double > &nxy, const std::vector< double > &mxx, const std::vector< double > &myy, const std::vector< double > &mxy, NXOpen::GeneralScalarTable **xxStrain, NXOpen::GeneralScalarTable **yyStrain, NXOpen::GeneralScalarTable **xyStrain)
 Obtain strain values per ply per LC
Created in NX1847.0.0. More...
 
void GetStressPerPly (bool usePlyCoordinates, const std::vector< double > &opTemp, const std::vector< double > &nxx, const std::vector< double > &nyy, const std::vector< double > &nxy, const std::vector< double > &mxx, const std::vector< double > &myy, const std::vector< double > &mxy, NXOpen::GeneralScalarTable **xxStress, NXOpen::GeneralScalarTable **yyStress, NXOpen::GeneralScalarTable **xyStress)
 Obtain stress values per ply per LC
Created in NX1847.0.0. More...
 
NXOpen::GeneralScalarTableGetThermalConductivityCoeff ()
 Thermal Conductivity Coefficient
Created in NX1847.0.0. More...
 
NXOpen::GeneralScalarTableGetThermalExpansionCoeff ()
 Thermal Expansion Coefficient
Created in NX1847.0.0. More...
 
NXOpen::GeneralScalarTableGetTransverseShear ()
 The transverse shear matrix
Created in NX1847.0.0. More...
 
NXOpen::GeneralScalarTableGetYoungsModulus ()
 Youngs Modulus
Created in NX1847.0.0. More...
 
bool IsBalanced ()
 Returns the laminate is balanced
Created in NX1847.0.0. More...
 
bool IsInverted ()
 Ask if the ply signs are inverted
Created in NX1847.0.0. More...
 
bool IsReversed ()
 Ask if the ply order is reversed
Created in NX1847.0.0. More...
 
bool IsSymmetric ()
 Returns the laminate is symmetric
Created in NX1847.0.0. More...
 
bool IsUsingPlyMaterial (int plyIndex)
 If this ply uses a ply material
Created in NX1847.0.0. More...
 
void IsUsingPlyMaterials (std::vector< bool > &usingPlyMaterials)
 If plies use ply materials
Created in NX1847.0.0. More...
 
double MassDensity ()
 Returns the mass density
Created in NX1847.0.0. More...
 
double MassPerUnitArea ()
 Returns the mass per unit area
Created in NX1847.0.0. More...
 
int NumMaterials ()
 Returns the number of distinct materials used
Created in NX1847.0.0. More...
 
int NumPlies ()
 Returns the number of plies
Created in NX1847.0.0. More...
 
NXString PhysPropName ()
 Returns the name of the laminate physical property. More...
 
void PrintLaminateInfo (bool plies, bool props, bool mats)
 Write out laminate information
Created in NX1847.0.0. More...
 
double TotalThickness ()
 Returns the total thickness of the composite
Created in NX1847.0.0. More...
 
virtual ~Laminate ()
 Frees the object from memory. More...
 
- Public Member Functions inherited from NXOpen::TransientObject
void * GetHandle ()
 Handle of the internal object represented by this object. More...
 

Additional Inherited Members

- Public Types inherited from NXOpen::CAE::AeroStructures::Laminate
enum  LamRefLoc { LamRefLocTop, LamRefLocMiddle, LamRefLocBottom, LamRefLocSpecify }
 Represents the laminate reference location. More...
 

Detailed Description

Represents a NXOpen::CAE::AeroStructures::LocalLaminate object.


To obtain an instance of this class use CAE.AeroStructures.LaminateHelper

Created in NX1847.0.0.

Constructor & Destructor Documentation

virtual NXOpen::CAE::AeroStructures::LocalLaminate::~LocalLaminate ( )
virtual

Frees the object from memory.

After this method is called, it is illegal to use the object. In .NET, this method is automatically called when the object is deleted by the garbage collector.
Created in NX1847.0.0.

License requirements : None

Member Function Documentation

int NXOpen::CAE::AeroStructures::LocalLaminate::AddPly ( NXOpen::PhysicalMaterial material,
double  thickness,
NXOpen::Unit thicknessUnit,
double  angle,
NXOpen::Unit angleUnit 
)

Add a ply to the laminate.

Always added to the end of the original stack.
Created in NX1847.0.0.

License requirements : sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
materialmaterial
thicknessthickness
thicknessUnitUnit for the thickness value, if NULL use default
angleangle
angleUnitUnit for the angle value, if NULL use default
int NXOpen::CAE::AeroStructures::LocalLaminate::AddPlyByMaterialName ( const NXString materialName,
double  thickness,
NXOpen::Unit thicknessUnit,
double  angle,
NXOpen::Unit angleUnit 
)

Add a ply to the laminate using a material name.

Always added to the end of the original stack.
Created in NX1847.0.0.

License requirements : sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
materialNamematerialname
thicknessthickness
thicknessUnitUnit for the thickness value, if NULL use default
angleangle
angleUnitUnit for the angle value, if NULL use default
int NXOpen::CAE::AeroStructures::LocalLaminate::AddPlyByMaterialName ( const char *  materialName,
double  thickness,
NXOpen::Unit thicknessUnit,
double  angle,
NXOpen::Unit angleUnit 
)

Add a ply to the laminate using a material name.

Always added to the end of the original stack.
Created in NX1847.0.0.

License requirements : sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
materialNamematerialname
thicknessthickness
thicknessUnitUnit for the thickness value, if NULL use default
angleangle
angleUnitUnit for the angle value, if NULL use default
void NXOpen::CAE::AeroStructures::LocalLaminate::SetBottomFiberDistance ( double  distance,
NXOpen::Unit distanceUnit 
)

Set bottom fiber distance
Created in NX1847.0.0.



License requirements : sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
distancedistance
distanceUnitUnit for the distance value, if NULL use default
void NXOpen::CAE::AeroStructures::LocalLaminate::SetInverted ( bool  inverted)

Invert ply angles
Created in NX1847.0.0.



License requirements : sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
invertedinverted
void NXOpen::CAE::AeroStructures::LocalLaminate::SetLaminateAngle ( double  angle,
NXOpen::Unit angleUnit 
)

Set laminate angle
Created in NX1847.0.0.



License requirements : sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
angleangle
angleUnitUnit for the angle value, if NULL use default
void NXOpen::CAE::AeroStructures::LocalLaminate::SetPlyAngle ( int  plyIndex,
double  angle,
NXOpen::Unit angleUnit 
)

Set the angle for the ply
Created in NX1847.0.0.



License requirements : sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
plyIndexplyindex
angleangle
angleUnitUnit for the angle value, if NULL use default
void NXOpen::CAE::AeroStructures::LocalLaminate::SetPlyMaterial ( int  plyIndex,
NXOpen::PhysicalMaterial material 
)

Set the Physical Material for the ply
Created in NX1847.0.0.



License requirements : sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
plyIndexplyindex
materialmaterial
void NXOpen::CAE::AeroStructures::LocalLaminate::SetPlyMaterialByName ( int  plyIndex,
const NXString materialName 
)

Set the Material for the ply by name
Created in NX1847.0.0.



License requirements : sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
plyIndexplyindex
materialNamematerialname
void NXOpen::CAE::AeroStructures::LocalLaminate::SetPlyMaterialByName ( int  plyIndex,
const char *  materialName 
)

Set the Material for the ply by name
Created in NX1847.0.0.



License requirements : sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
plyIndexplyindex
materialNamematerialname
void NXOpen::CAE::AeroStructures::LocalLaminate::SetPlyThickness ( int  plyIndex,
double  thickness,
NXOpen::Unit thicknessUnit 
)

Set the thickness for the ply
Created in NX1847.0.0.



License requirements : sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
plyIndexplyindex
thicknessthickness
thicknessUnitUnit for the thickness value, if NULL use default
void NXOpen::CAE::AeroStructures::LocalLaminate::SetReferencePlane ( NXOpen::CAE::AeroStructures::Laminate::LamRefLoc  location)

Top|Middle|Bottom|Specify
Created in NX1847.0.0.



License requirements : sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
locationlocation
void NXOpen::CAE::AeroStructures::LocalLaminate::SetReferenceTemperature ( double  temperature,
NXOpen::Unit temperatureUnit 
)

Set reference temperature
Created in NX1847.0.0.



License requirements : sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
temperaturetemperature
temperatureUnitUnit for the temperature value, if NULL use default
void NXOpen::CAE::AeroStructures::LocalLaminate::SetReversed ( bool  reversed)

Reverse ply order
Created in NX1847.0.0.



License requirements : sc_aero_environment ("Simcenter AeroStructures Environment"), sc_margin_safety ("Simcenter Margin Of Safety")

Parameters
reversedreversed

The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.